{% extends "@Paa/Default/editionBase.html.twig" %}

{% block ParametreFavori %}



    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingActiBase", false, "LU","chkEditionListingActiBase","Listing de activités de base") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingEquipements", false, "LU","chkEditionListingEquipements","Listing des équipements") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12"  >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingGroupes", false, "LU","chkEditionListingGroupes","Listing des groupes") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id='ctnListing_Groupes_ExclGroupesVides'  >
        {{ poCheckedOrNot.CreateInputCheckbox("gbListing_Groupes_ExclGroupesVides", false, "LU","chkListing_Groupes_ExclGroupesVides","Exclure les groupes sans usagers à cette date") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingEtablissement", false, "LU","chkEditionListingEtablissement","Listing de établissements") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingIntervenants", false, "LU","chkEditionListingIntervenants","Listing des intervenants") }}
    </div>

    <form id="OptGroupListingInterv">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingInterv" id="optChoixtousintervenants"> Tous les intervenants
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingInterv" id="optChoixpresentsanneeintervenants"> Présents sur l'année 
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingInterv" id="optChoixpresentdateintervenants"> Présents en date du... 
        </div>
    </form>


    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 " >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingUsagers", false, "LU","chkEditionListingUsagers","Listing des usagers") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 margin_bottom">
        Activités de base:&nbsp;<select name="giTypeListingUsagers" id="cboTypeListingUsagers">
            {{ poCheckedOrNot.CreateInputOption("giTypeListingUsagers", "1", "C",  "eiTypeListingcontacts,eiTypeListingsimple,eiTypeExportationExcel,eiTypeFicheusager","Listing avec contacts,Listing simple,Exportation Excel,Fiche usager") }}
        </select>  
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id='gtfDocXL'>
        <input type='text' name='gtfDocXL'>  
    </div>

    <form id="OptGroupListingUsagers">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingUsagers" id="optChoixtoususager"> Tous les usagers
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingUsagers" id="optChoixpresentsanneeusager"> Présents sur l'année 
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <input type="radio" name="OptGroupListingUsagers" id="optChoixpresentdateusager"> Présents en date du... 
        </div>
    </form>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id="cboListeGroupe">
        Liste de choix "Groupe" 
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id="cboListeEtablissement">
        Liste de choix "établissement" 
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingUsagersExcel_InclutPrésents", false, "LU","chkEditionListingUsagersExcel_InclutPrésents","Feuille des présents") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingUsagersExcel_InclutSortis", false, "LU","chkEditionListingUsagersExcel_InclutSortis","Feuille des sortis") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionListingUsagersExcel_PlacePasEntrésDansPrésents", false, "LU","chkEditionListingUsagersExcel_PlacePasEntrésDansPrésents","Inclure les pas entrés dans les présents") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        {{ poCheckedOrNot.CreateInputCheckbox("gbDepuisLe", false, "LU","chkDepuisLe","Depuis le...") }}
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <input type='date' name='dtpDatePrésenceUsagers'>  
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id='dtpDatePrésenceUsagersFin'>
        <label class='col-lg-2' for="dtpDatePrésenceUsagersFin">j'usqu'au ... </label>
        <input class="col-lg-2" type='date' name='dtpDatePrésenceUsagersFin'>
    </div>

{% endblock %}

{% block fin %}

    <script type="text/javascript">
        
        $("#chkEditionListingGroupes").click(function () {
            
            if ($(this).is(':checked')) {
                document.getElementById("ctnListing_Groupes_ExclGroupesVides").style.display = "block";
            } else {
                document.getElementById("ctnListing_Groupes_ExclGroupesVides").style.display = "none";
            }
        });
        
        $("#chkEditionListingIntervenants").click(function () {
            console.log($(this).is(':checked'));
            if ($(this).is(':checked')) {
                $('#optChoixtousintervenants').attr('disabled', false);
                $('#optChoixpresentsanneeintervenants').attr('disabled', false);
                $('#optChoixpresentdateintervenants').attr('disabled', false);
            } else {
                $('#optChoixtousintervenants').attr('disabled', true);
                $('#optChoixpresentsanneeintervenants').attr('disabled', true);
                $('#optChoixpresentdateintervenants').attr('disabled', true);
            }
        });
        $("#chkEditionListingUsagers").click(function () {
            if ($(this).is(':checked')) {
                $('#cboTypeListingUsagers').attr('disabled', false);
                $('#optChoixtoususager').attr('disabled', false);
                $('#optChoixpresentsanneeusager').attr('disabled', false);
                $('#optChoixpresentdateusager').attr('disabled', false);
                document.getElementById("cboListeGroupe").style.display = "block";
                document.getElementById("cboListeEtablissement").style.display = "block";
            } else {
                $('#cboTypeListingUsagers').attr('disabled', true);
                $('#optChoixtoususager').attr('disabled', true);
                $('#optChoixpresentsanneeusager').attr('disabled', true);
                $('#optChoixpresentdateusager').attr('disabled', true);
                document.getElementById("cboListeGroupe").style.display = "none";
                document.getElementById("cboListeEtablissement").style.display = "none";
            }
        });
        document.getElementById("cboTypeListingUsagers").onclick = function () {
            var select = document.getElementById("cboTypeListingUsagers").value;
            if (select == 3) {
                document.getElementById("gtfDocXL").style.display = "block";
                document.getElementById("chkEditionListingUsagersExcel_InclutPrésents").style.display = "block";
                document.getElementById("chkEditionListingUsagersExcel_InclutSortis").style.display = "block";
                document.getElementById("chkEditionListingUsagersExcel_PlacePasEntrésDansPrésents").style.display = "block";
            } else {
                document.getElementById("gtfDocXL").style.display = "none";
                document.getElementById("chkEditionListingUsagersExcel_InclutPrésents").style.display = "none";
                document.getElementById("chkEditionListingUsagersExcel_InclutSortis").style.display = "none";
                document.getElementById("chkEditionListingUsagersExcel_PlacePasEntrésDansPrésents").style.display = "none";
            }
        }
        $("#chkDepuisLe").click(function () {
            if ($(this).is(':checked')) {
                document.getElementById("dtpDatePrésenceUsagersFin").style.display = "block";
            } else {
                document.getElementById("dtpDatePrésenceUsagersFin").style.display = "none";
            }
        });
    </script>
{% endblock %}